using System;
using NinjaTrader.Cbi;

internal sealed class Delegate119 : MulticastDelegate
{
	public extern Instrument Invoke(object object_0);

	public static Instrument smethod_0(object object_0, Delegate119 delegate119_1)
	{
		return delegate119_1(object_0);
	}

	public extern Delegate119(object object_0, IntPtr intptr_0);

	static Delegate119()
	{
		Class10.smethod_13(typeof(Delegate119).TypeHandle);
	}

	internal static Delegate119 delegate119_0;
}
